--
--	seasonLighting
--
--
--

seasonLighting = {};
addModEventListener(seasonLighting);
function seasonLighting:loadMap(name)
	g_currentMission.environment:addDayChangeListener(seasonLighting);
	scriptVersion = "V1.1"
	print ("--- seasonLighting " .. scriptVersion .. " loaded --- (by Lefthandright)")
	if seasonManager.scriptVersion ~= nil then
		print ("Error: seasonManager activated")
	end;
	season = 1;
	
	path = getUserProfileAppPath();
	local logFile = path.."/Lefthandright.xml";
	local CoreXML = LefthandrightCore.logXML;
	local ModID = getXMLInt(CoreXML, "LefthandrightCore.seasonManagerMod");
	
	if fileExists(logFile) then
		if ModID == 1 then
			print ("--- seasonLighting: Mod registered ---");
			registration = 1;
		else
			print ("--- seasonLighting: Mod unregistered. Install LefthandrightCore. https://www.modhoster.de/mods/seasonmanager ---")
			registration = 0;
		end;
	end;
	
end;

function seasonLighting:deleteMap()
end;

function seasonLighting:mouseEvent(posX, posY, isDown, isUp, button)
end;

function seasonLighting:keyEvent(unicode, sym, modifier, isDown)
end;

function seasonLighting:update(dt)
	if Input.isKeyPressed(Input.KEY_rctrl) and Input.isKeyPressed(Input.KEY_KP_1) then
		season = 1;
	elseif Input.isKeyPressed(Input.KEY_rctrl) and Input.isKeyPressed(Input.KEY_KP_2) then
		season = 2;
	elseif Input.isKeyPressed(Input.KEY_rctrl) and Input.isKeyPressed(Input.KEY_KP_3) then
		season = 3;
	elseif Input.isKeyPressed(Input.KEY_rctrl) and Input.isKeyPressed(Input.KEY_KP_0) then
		season = 0;
	end;
	if season == 1 then
		local cme = g_currentMission.environment;
		cme.ambientCurve = AnimCurve:new(linearInterpolator3);
		cme.ambientCurve:addKeyframe({x=0.020, y=0.020, z=0.032, time = 0*60});
		cme.ambientCurve:addKeyframe({x=0.020, y=0.020, z=0.032, time = 3.75*60});
		cme.ambientCurve:addKeyframe({x=0.065, y=0.065, z=0.075, time = 4.01*60});
		cme.ambientCurve:addKeyframe({x=0.065, y=0.065, z=0.075, time = 4.02*60});
		cme.ambientCurve:addKeyframe({x=0.040, y=0.040, z=0.060, time = 4.25*60});
		cme.ambientCurve:addKeyframe({x=0.080, y=0.080, z=0.120, time = 5*60});
		cme.ambientCurve:addKeyframe({x=0.220, y=0.140, z=0.120, time = 6*60});
		cme.ambientCurve:addKeyframe({x=0.500, y=0.300, z=0.150, time = 9*60});
		cme.ambientCurve:addKeyframe({x=0.500, y=0.300, z=0.150, time = 17*60});
		cme.ambientCurve:addKeyframe({x=0.220, y=0.140, z=0.120, time = 18*60});
		cme.ambientCurve:addKeyframe({x=0.020, y=0.020, z=0.032, time = 21*60});
		cme.ambientCurve:addKeyframe({x=0.024, y=0.024, z=0.036, time = 21.85*60});
		cme.ambientCurve:addKeyframe({x=0.072, y=0.072, z=0.088, time = 22.01*60});
		cme.ambientCurve:addKeyframe({x=0.072, y=0.072, z=0.088, time = 22.02*60});
		cme.ambientCurve:addKeyframe({x=0.020, y=0.020, z=0.032, time = 22.15*60});
		cme.ambientCurve:addKeyframe({x=0.020, y=0.020, z=0.032, time = 24*60});
	elseif season == 2 then
		local cme = g_currentMission.environment;
		cme.ambientCurve = AnimCurve:new(linearInterpolator3);
		cme.ambientCurve:addKeyframe({x=0.020, y=0.020, z=0.032, time = 0*60});
		cme.ambientCurve:addKeyframe({x=0.020, y=0.020, z=0.032, time = 3.75*60});
		cme.ambientCurve:addKeyframe({x=0.065, y=0.065, z=0.075, time = 4.01*60});
		cme.ambientCurve:addKeyframe({x=0.065, y=0.065, z=0.075, time = 4.02*60});
		cme.ambientCurve:addKeyframe({x=0.040, y=0.040, z=0.060, time = 4.25*60});
		cme.ambientCurve:addKeyframe({x=0.080, y=0.080, z=0.140, time = 5*60});
		cme.ambientCurve:addKeyframe({x=0.140, y=0.140, z=0.180, time = 6*60});
		cme.ambientCurve:addKeyframe({x=0.180, y=0.180, z=0.220, time = 9*60});
		cme.ambientCurve:addKeyframe({x=0.180, y=0.180, z=0.220, time = 17*60});
		cme.ambientCurve:addKeyframe({x=0.160, y=0.140, z=0.160, time = 18*60});
		cme.ambientCurve:addKeyframe({x=0.020, y=0.020, z=0.032, time = 21*60});
		cme.ambientCurve:addKeyframe({x=0.024, y=0.024, z=0.036, time = 21.85*60});
		cme.ambientCurve:addKeyframe({x=0.072, y=0.072, z=0.088, time = 22.01*60});
		cme.ambientCurve:addKeyframe({x=0.072, y=0.072, z=0.088, time = 22.02*60});
		cme.ambientCurve:addKeyframe({x=0.020, y=0.020, z=0.032, time = 22.15*60});
		cme.ambientCurve:addKeyframe({x=0.020, y=0.020, z=0.032, time = 24*60});
	elseif season == 3 then
		local cme = g_currentMission.environment;
		cme.ambientCurve = AnimCurve:new(linearInterpolator3);
		cme.ambientCurve:addKeyframe({x=0.020, y=0.020, z=0.032, time = 0*60});
		cme.ambientCurve:addKeyframe({x=0.020, y=0.020, z=0.032, time = 3.75*60});
		cme.ambientCurve:addKeyframe({x=0.065, y=0.065, z=0.075, time = 4.01*60});
		cme.ambientCurve:addKeyframe({x=0.065, y=0.065, z=0.075, time = 4.02*60});
		cme.ambientCurve:addKeyframe({x=0.040, y=0.040, z=0.060, time = 4.25*60});
		cme.ambientCurve:addKeyframe({x=0.040, y=0.060, z=0.140, time = 5*60});
		cme.ambientCurve:addKeyframe({x=0.060, y=0.080, z=0.160, time = 6*60});
		cme.ambientCurve:addKeyframe({x=0.080, y=0.100, z=0.200, time = 9*60});
		cme.ambientCurve:addKeyframe({x=0.080, y=0.100, z=0.200, time = 17*60});
		cme.ambientCurve:addKeyframe({x=0.100, y=0.080, z=0.180, time = 18*60});
		cme.ambientCurve:addKeyframe({x=0.020, y=0.020, z=0.032, time = 21*60});
		cme.ambientCurve:addKeyframe({x=0.024, y=0.024, z=0.036, time = 21.85*60});
		cme.ambientCurve:addKeyframe({x=0.072, y=0.072, z=0.088, time = 22.01*60});
		cme.ambientCurve:addKeyframe({x=0.072, y=0.072, z=0.088, time = 22.02*60});
		cme.ambientCurve:addKeyframe({x=0.020, y=0.020, z=0.032, time = 22.15*60});
		cme.ambientCurve:addKeyframe({x=0.020, y=0.020, z=0.032, time = 24*60});
	elseif season == 0 then
		local cme = g_currentMission.environment;
		cme.ambientCurve = AnimCurve:new(linearInterpolator3);
		cme.ambientCurve:addKeyframe({x=0.020, y=0.020, z=0.032, time = 0*60});
		cme.ambientCurve:addKeyframe({x=0.020, y=0.020, z=0.032, time = 3.75*60});
		cme.ambientCurve:addKeyframe({x=0.065, y=0.065, z=0.075, time = 4.01*60});
		cme.ambientCurve:addKeyframe({x=0.065, y=0.065, z=0.075, time = 4.02*60});
		cme.ambientCurve:addKeyframe({x=0.040, y=0.040, z=0.060, time = 4.25*60});
		cme.ambientCurve:addKeyframe({x=0.080, y=0.080, z=0.140, time = 5*60});
		cme.ambientCurve:addKeyframe({x=0.140, y=0.140, z=0.120, time = 6*60});
		cme.ambientCurve:addKeyframe({x=0.220, y=0.180, z=0.180, time = 9*60});
		cme.ambientCurve:addKeyframe({x=0.220, y=0.180, z=0.180, time = 17*60});
		cme.ambientCurve:addKeyframe({x=0.160, y=0.140, z=0.160, time = 18*60});
		cme.ambientCurve:addKeyframe({x=0.020, y=0.020, z=0.032, time = 21*60});
		cme.ambientCurve:addKeyframe({x=0.024, y=0.024, z=0.036, time = 21.85*60});
		cme.ambientCurve:addKeyframe({x=0.072, y=0.072, z=0.088, time = 22.01*60});
		cme.ambientCurve:addKeyframe({x=0.072, y=0.072, z=0.088, time = 22.02*60});
		cme.ambientCurve:addKeyframe({x=0.020, y=0.020, z=0.032, time = 22.15*60});
		cme.ambientCurve:addKeyframe({x=0.020, y=0.020, z=0.032, time = 24*60});
	end;
end;

function seasonLighting:draw()
	setTextColor(1, 1, 1, 1);
	if season == 1 then
		renderText(0.760, 0.982, 0.02, "Sommer");
	elseif season == 2 then
		renderText(0.760, 0.982, 0.02, "Herbst");
	elseif season == 3 then
		renderText(0.760, 0.982, 0.02, "Winter");
	elseif season == 0 then
		renderText(0.760, 0.982, 0.02, "Frühling");
	end;
	
	if registration == 1 then
	
	elseif registration == 0 then
		renderText(0.002,0.022,0.018, "seasonLighting wurde nicht registriert. Bitte lade und installiere LefthandrightCore. Weitere Informationen auf https://www.modhoster.de/mods/seasonmanager");
		renderText(0.002,0.002,0.018, "seasonLighting has not been registered. Please download and install LefthandrightCore. Further information at https://www.modhoster.de/mods/seasonmanager");
	end;
	
end;

